Bug 11352 - finding module dependencies at boot may freeze the computer
finding module dependencies at boot may freeze the computer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-10 17:16 EDT by Pekka Savola
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-16 12:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-05-10 17:16:28 EDT
This might be related to problem #1264.

Finding module dependencies hangs at boot.  It works from command line.
This is why I chose initscripts component, not modutils.

Anyway, to reproduce:

Redhat box (here 6.0 + some updates).
2.2.14-12 kernel + headers + sources etc.
2.2.15 vanilla sources.

1) have Redhat patched source in /usr/src/linux
2) Have Redhat's default .config in /usr/src/linux (e.g. make oldconfig).
3) mv /usr/src/linux /usr/src/linux-rh
4) Unpack vanilla 2.2.15, copy Redhat's .config file to that directory,
execute 'make oldconfig'.  The module symbols will get broken by this
(found it the hard way :) but it's not the point here.
5) make dep && make clean && make bzlilo && make modules && make
modules_install or equivalent.
6) Reboot
7) System hangs at 'finding module dependencies'.  On this box (P2-266, 128
MB mem), I waited for over an hour for it complete, no luck.

Things to note:
 - When system hangs, the HDD is in heavy use for the first 5 seconds (real
depmod -a), as for the rest, it quiets down totally.
 - depmod -a works (as in doesn't freeze) from command lines, takes like 5
seconds.

Interesting behaviour:
 - After resetting the "frozen" computer, modules.dep it created was 8192
bytes long, ending with:

---
/lib/modules/2.2.15/block/cpqarray.o:

/lib/modules/2.2.15/block/xd.o:

/lib/modules/2.2.1
----
It seems to always be 8192 bytes.

Conclusion: something very weird happens at bootup. perhaps rc.sysinit
can't handle some problem in dependency finding.
Comment 1 Bill Nottingham 2000-05-16 12:24:59 EDT
You need an initscripts update; make sure you're
running either the 6.1 errata initscripts,
or the 6.2 initscripts.

Note You need to log in before you can comment on or make changes to this bug.